Vector::BLF::WlanFrame(3)

NAME
Vector::BLF::WlanFrame - WLAN_FRAME.

SYNOPSIS

#include <WlanFrame.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Flags : uint16_t { GenuineMacHeader = 0x0001, CorrectFrameControlFormat = 0x0002 }
enum Dir : uint8_t { Rx = 0, Tx = 1, TxRq = 2 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
uint16_t calculateHeaderSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel 1..n
uint16_t flags {}
uint8_t dir {}
Direction flag.
uint8_t radioChannel {}
channel number of the radio frequency
int16_t signalStrength {}
signal strength in [dbm]
uint16_t signalQuality {}
signal quality in [dbm]
uint16_t frameLength {}
Number of bytes (header + payload).
uint32_t reservedWlanFrame {}
std::vector< uint8_t > frameData {}
WLAN frame data.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

WLAN_FRAME. WLAN frame.

Member Enumeration Documentation

  enum Vector::BLF::WlanFrame::Dir : uint8_t
enumeration for dir

Enumerator

Rx  receive

Tx  transmit

TxRq
    transmit request

  enum Vector::BLF::WlanFrame::Flags : uint16_t
enumeration for flags

Enumerator

GenuineMacHeader
    Genuine MAC Header

CorrectFrameControlFormat
    Correct Frame Control Format

Member Function Documentation

  uint32_t Vector::BLF::WlanFrame::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeader.

  void Vector::BLF::WlanFrame::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeader.

  void Vector::BLF::WlanFrame::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeader.

Member Data Documentation

  uint16_t Vector::BLF::WlanFrame::channel {}

application channel 1..n The channel of the frame.

  uint8_t Vector::BLF::WlanFrame::dir {}

Direction flag. Direction flag

  uint16_t Vector::BLF::WlanFrame::flags {}
flags

  std::vector<uint8_t> Vector::BLF::WlanFrame::frameData {}

WLAN frame data. WLAN frame data. Data starts with WLAN header. Max. 2342 data bytes per frame

  uint16_t Vector::BLF::WlanFrame::frameLength {}

Number of bytes (header + payload). Length of WLAN data in bytes. Max. 2342 Bytes.

  uint8_t Vector::BLF::WlanFrame::radioChannel {}

channel number of the radio frequency Channel number of the radio frequency, i.e 180 or 176

  uint32_t Vector::BLF::WlanFrame::reservedWlanFrame {}
reserved

  uint16_t Vector::BLF::WlanFrame::signalQuality {}

signal quality in [dbm] Signal quality

  int16_t Vector::BLF::WlanFrame::signalStrength {}

signal strength in [dbm] Signal strength in [dBm]

Author

Generated automatically by Doxygen for Vector BLF from the source code.